// =================================================================================
//	CDocumentApp.h	 				1996-1998 Metrowerks Inc. All rights reserved.
// =================================================================================

#pragma once

#include <PP_Prefix.h>
#include <LDocApplication.h>


class CDocumentApp : public PP_PowerPlant::LDocApplication {

public:
							CDocumentApp();			// constructor registers PPobs
	virtual 				~CDocumentApp();		// stub destructor

protected:

	virtual void			StartUp();				// override startup functions
	
	// this overriding method is called when the FileMenu ->Open items is selected.
	virtual void			OpenDocument( FSSpec *inMacFSSpec );
	
	// this method creates a new instance of a document
	virtual PP_PowerPlant::LModelObject *	MakeNewDocument();
	
	// this method displays the StandardFile Open dialog
	virtual void			ChooseDocument();
	
	// this method prints the open document
	virtual void			PrintDocument( FSSpec *inMacFSSpec );
};
