/*---------------------------------------------------------------

	CInterfaceProvider.h
	
	Provides the function of returning interface pointers based on
	passed in IDs.

---------------------------------------------------------------*/

#include "IInterfaceProvider.h"
#include "IPluginDrawIntf.h"
#include "IPluginInfoIntf.h"


class CInterfaceProvider : public IInterfaceProvider
{
public:
			CInterfaceProvider();
	OSErr	GetInterfacePointer( unsigned long inID, void** outInterfacePtr );

private:

	IPluginDrawIntf*	mDrawObject;
	IPluginInfoIntf*	mInfoObject;
};