/*---------------------------------------------------------------

	CPluginDrawing.h
	
	Draws stuff in the window.

---------------------------------------------------------------*/


#include "IPluginDrawIntf.h"


class CPluginDrawing: public IPluginDrawIntf
{
public:

			CPluginDrawing();
	virtual void	DrawFrame();	// called each idle for drawing
	virtual void	Initialize();	// called when window is opened
	virtual void	SetDrawingRect( Rect	inRect );	// called when window is opened
	virtual void	Terminate();	// called when window is close

private:
	
	Rect	mFrameRect;
	unsigned long mFrameCount;
};