/*---------------------------------------------------------------

	CPluginDrawing.cpp
	
	Draws stuff in the window.

---------------------------------------------------------------*/


#include "CPluginDrawing.h"
#include <stdio.h>

CPluginDrawing::CPluginDrawing()
{}

void CPluginDrawing::Initialize()
{
	mFrameCount = 0;
}

void CPluginDrawing::SetDrawingRect( Rect	inRect )
{
	mFrameRect = inRect;
}

void CPluginDrawing::DrawFrame()
{
	::EraseRect( &mFrameRect );

	Str255	string;

	sprintf( (char*)string, "Plugin Drawing Frame %d", mFrameCount );

	::MoveTo( 10, 10 );
	
	c2pstr( (char*) string );
	::DrawString( string );
	
	mFrameCount++;

}

void CPluginDrawing::Terminate()
{

}

