// ===========================================================================
//	CScreenSaverApp.h			   1994-1998 Metrowerks Inc. All rights reserved.
// ===========================================================================

#pragma once

#include <LApplication.h>
#include <LListener.h>

class	LWindow;

class	CScreenSaverApp : public LApplication, public LListener {
public:
						CScreenSaverApp();
	virtual 			~CScreenSaverApp();
	
	virtual Boolean		ObeyCommand(CommandT inCommand, void *ioParam = nil);
	virtual void		FindCommandStatus(CommandT inCommand,
							Boolean &outEnabled, Boolean &outUsesMark,
							Char16 &outMark, Str255 outName);
	virtual void		ListenToMessage(MessageT inMessage, void *ioParam);

protected:
	virtual void		Initialize();
	LWindow 	*mDisplayWindow;
};