/*---------------------------------------------------------------

	CScreenSaverWindow.h
	
	Window for drawing in from a plugin.

---------------------------------------------------------------*/

#include <LWindow.h>
#include <LPeriodical.h>
#include "IPluginDrawIntf.h"
#include "CPlugin.h"

class CScreenSaverWindow : public LWindow,
							public LPeriodical
{
public:
	enum { class_ID = FOUR_CHAR_CODE('SSWn') };

					CScreenSaverWindow( LStream* inStream );
			void	DrawSelf();
	virtual void	ClickSelf(const SMouseDownEvent &inMouseDown);
	virtual	void	SpendTime( const EventRecord	&inMacEvent );
					~CScreenSaverWindow();
	virtual Boolean	HandleKeyPress(	const EventRecord	&inKeyEvent );
	virtual void	SetUpWindow();

private:
			CPlugin*		mPlugin;
		IPluginDrawIntf*	mDrawIntf;

};