// =================================================================================
//	CTextDocument.h					1996-1998 Metrowerks Inc. All rights reserved.
// =================================================================================

#pragma once

#include <LSingleDoc.h>

class CTextView;

class CTextDocument : public PP_PowerPlant::LSingleDoc {

public:
							CTextDocument( LCommander *inSuper, FSSpec *inFileSpec );

	virtual Boolean			IsModified();
	
	virtual void			DoAESave( FSSpec &inFileSpec, OSType inFileType );
	virtual void			DoSave();
	virtual void			DoRevert();
	virtual void			DoPrint();

	virtual OSType			GetFileType() const;
			void			DumpPluginData();

protected:

	CTextView *				mTextView;

	void					NameNewDoc();
	void					OpenFile( FSSpec &inFileSpec );
	void					SetPrintFrameSize(void);
};