// =================================================================================
//	CTextView.h						1996-1998 Metrowerks Inc. All rights reserved.
// =================================================================================

#pragma once

#include <LTextEditView.h>

class CTextView : public PP_PowerPlant::LTextEditView {

public:
	enum { class_ID = 'TxtV' };
	
							CTextView( PP_PowerPlant::LStream *inStream );
	virtual					~CTextView();
	
	// This method is called when the contents of the LTextEditView are altered
	virtual void			UserChangedText();
	
	// Methods to read and write update data for LTextEditView derived classes
	virtual void			SavePlace( PP_PowerPlant::LStream *outPlace );
	virtual void			RestorePlace( PP_PowerPlant::LStream *inPlace );

	// Inline methods to set and test "dirtyness" of document
	Boolean					IsDirty() const {return mIsDirty;};
	void					SetDirty( Boolean inDirty ) {mIsDirty = inDirty;};

protected:

	bool					mIsDirty;
};
